<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('product_config_option_groups', function (Blueprint $table) {
            $table->id();
            $table->string('name'); // Grup adı
            $table->text('description')->nullable(); // Grup açıklaması
            $table->boolean('hidden')->default(false); // Grup gizli mi?
            $table->integer('order')->default(1); // Görüntüleme sırası
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_config_option_groups');
    }
};
